Subject: Re: bug#76313: New function `replace-region`

From: Stefan Monnier <[email-masked]>
Date: Wed, 19 Feb 2025 10:02:53 -0500

> It's up to you, but I still think that by a relatively simple and
> backward-compatible change to the API of replace-region-contents we
> could have a new mode of that function which would do what you wanted.
> I still don't understand why you rejected that, the reasons you gave
> sounded minor to me, certainly not important enough to throw in the
> towel.

The benefits of supporting the `replace-region-contents` API are much
smaller than the "sounded minor" annoyances we'd have to pay for the
rest of Emacs's future.

And really, this whole discussion has been much too frustrating, for
such a trivial function which everyone can feel free to reinvent badly in
their own code.

        Stefan